Package net.shibboleth.profile.module

# Enum Class ModuleContext.OperationType

java.lang.Object
java.lang.Enum<ModuleContext.OperationType>
net.shibboleth.profile.module.ModuleContext.OperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<ModuleContext.OperationType>`, `Constable`

Enclosing class:
  ModuleContext

public static enum ModuleContext.OperationType extends Enum<ModuleContext.OperationType>
What is the caller doing?

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CommandLine`
Called from the Module command (or in a test.
`Install`
Called on initial IdP or Plugin Install.
`Uninstall`
Called during plugin uninstall.
`Unknown`
We haven not been told.
`Upgrade`
Called on an IdP or Plugin Upgrade if the module was enabled previously.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`OperationType()`

## Method Summary

Modifier and Type
Method
Description
`static ModuleContext.OperationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleContext.OperationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Install

public static final ModuleContext.OperationType Install
Called on initial IdP or Plugin Install. Also called if an upgrade asks for a Module which was not installed.

### Upgrade

public static final ModuleContext.OperationType Upgrade
Called on an IdP or Plugin Upgrade if the module was enabled previously. (a re-enable)

### Uninstall

public static final ModuleContext.OperationType Uninstall
Called during plugin uninstall.

### CommandLine

public static final ModuleContext.OperationType CommandLine
Called from the Module command (or in a test.

### Unknown

public static final ModuleContext.OperationType Unknown
We haven not been told.

## Constructor Details

### OperationType

private OperationType()

## Method Details

### values

public static ModuleContext.OperationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ModuleContext.OperationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null